Subject: Re: [PATCH] Fix git-init-db creating crap directories (zeroth try)

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 19 Sep 2005 20:27:32 -0700

Petr Baudis wrote:
>>
>>But if len is the index of the '/', then you're not.
> 
> But fortunately len is not the index of the '/', len-1 is. len is the length
> of the leading path fragment including the trailing slash.
> 

Then you'd need len-1 both inside the memcpy() and the assignment, of 
course.

	-hpa